# $Revision: 1.20 $, $Date: 2010/07/08 08:39:02 $

%define	module	serial

Summary:	Serial port interface module
Summary(pl.UTF-8):	Moduł interfejsu do portu szeregowego
Name:		python-serial
Version:	2.4
Release:	2
License:	GPL
Group:		Development/Languages/Python
Source0:	http://dl.sourceforge.net/pyserial/pyserial-%{version}.tar.gz
# Source0-md5:	eec19df59fd75ba5a136992897f8e468
URL:		http://pyserial.wiki.sourceforge.net/pySerial
%pyrequires_eq	python
BuildRequires:	python-devel
BuildRequires:	unzip
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module encapsulates the access for the serial port. It provides
backends for Python running on Windows, Linux, BSD (possibly any POSIX
compilant system) and Jython. The module named "serial" automatically
selects the appropriate backend.

%description -l pl.UTF-8
Ten moduł opakowuje dostęp do portu szeregowego. Dostarcza backendy
dla Pythona działającego na Windows, Linuksie, BSD (być może dowolnym
systemie zgodnym z POSIX) oraz Jythona. Moduł o nazwie "serial"
automatycznie wybiera właściwy backend.

%prep
%setup  -q -n pyserial-%{version}

%build
python ./setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

python ./setup.py install \
	--optimize 2 \
	--root=$RPM_BUILD_ROOT

mv examples/*.py $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

find $RPM_BUILD_ROOT%{py_sitescriptdir} -name "*serialjava*" -exec rm {} \;
find $RPM_BUILD_ROOT%{py_sitescriptdir} -name "*serialwin*" -exec rm {} \;
find $RPM_BUILD_ROOT%{py_sitescriptdir} -name \*.py -exec rm {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.txt LICENSE.txt README.txt
%{_examplesdir}/%{name}-%{version}
%dir %{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}/*.py[co]
%{py_sitescriptdir}/*egg-info

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-serial.spec,v $
Revision 1.20  2010/07/08 08:39:02  arekm
- release 2

Revision 1.19  2009/01/27 20:12:59  wrobell
- ver. 2.4

Revision 1.18  2008/11/23 20:30:53  arekm
- release 2

Revision 1.17  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.16  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.15  2006/07/26 16:03:33  glen
- unify sourceforge url

Revision 1.14  2005/10/24 22:50:34  czucz
- updated to 2.2

Revision 1.13  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.12  2004/12/26 17:52:14  saq
- release 2 for rebuild with python 2.4

Revision 1.11  2004/12/16 02:23:03  zbyniu
- BR: unzip

Revision 1.10  2004/09/01 11:25:08  adamg
- kill pld.org.pl, kill, kill, kill ...

Revision 1.9  2004/09/01 11:13:29  wrobell
- cleanup
- rel. 1

Revision 1.8  2004/08/31 16:45:23  zboczuch
- cleanups

Revision 1.7  2004/08/31 13:33:50  darekr
- update to 2.1

Revision 1.6  2004/08/14 09:22:57  teodor
 - s/%{py_sitedir}/%{py_scriptdir}/
 - added DOC and examples

Revision 1.5  2004/07/28 08:03:18  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.4  2004/07/09 19:42:42  qboosh
- pl

Revision 1.3  2004/07/09 17:02:26  ankry
- commented out dumb translations, spaces -> tabs, fixed group

Revision 1.2  2004/07/09 15:07:11  jpc
- move to HEAD (from RA-branch)

Revision 1.1.2.1  2004/07/09 14:47:00  matkor
- Version 2.0-0.1. NFY , but works, no time to finish it.
